Bio::MAGETAB::DatabaseEntry(3)

NAME
Bio::MAGETAB::DatabaseEntry - MAGE-TAB database entry class

SYNOPSIS
 use Bio::MAGETAB::DatabaseEntry;

DESCRIPTION
This class is used to store MAGE-TAB database entry information. These entries can be from sequence databases (e.g. as attached to Reporters), ontologies (when using the ControlledTerm subclass), or databases which hold higher-level metadata (e.g. ArrayDesigns, Protocols). See the BaseClass class for superclass methods.

ATTRIBUTES

accession (optional)
    The accession number for the database entry (data type: String).

termSource (optional)
    The TermSource (e.g., database or ontology) which defines the entry, and which recognises the given accession (data type: Bio::MAGETAB::TermSource).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).